BELOW_THRESHOLD_BALANCE
Supported Network
Network | Supporting |
|---|---|
Ethereum Mainnet | ✅ |
Ethereum Testnet (sepolia) | ✅ |
Ethereum Testnet (holesky) | ✅ |
Base Mainnet | ✅ |
Base Testnet (sepolia) | ✅ |
Polygon Mainnet | ✅ |
Polygon Testnet (amoy) | ✅ |
Arbitrum Mainnet | ✅ |
Arbitrum Testnet (sepolia) | ✅ |
Optimism Mainnet | ✅ |
Optimism Testnet (sepolia) | ✅ |
Kaia Mainnet | ✅ |
Kaia Testnet (kairos) | ✅ |
Aptos Mainnet | ❌ |
Aptos Testnet | ❌ |
Webhook Creation Request Example
When setting the eventType value to BELOW_THRESHOLD_BALANCE, the available condition object fields are as follows.
Key | Type | Required | Description | Example Value |
|---|---|---|---|---|
address | String | true | The target address for which you want to receive balance alerts | "0x3DC16F9F7fD2F5a17A9602650880255f01edC733" |
belowThresholdBalance | String | true | The threshold value for the balance to monitor. You will receive an alert when the balance drops below the configured threshold value. | "100000000000000000" |
The balance of the address is checked every minute, and an alert is sent if the balance is lower than the entered THRESHOLD. If the actual balance is lower than the value entered in belowThresholdBalance at each check interval, you will continue to receive alerts.
Request Example
curl --location 'https://web3.nodit.io/v1/ethereum/mainnet/webhooks' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: ••••••' \
--data '{
"eventType": "BELOW_THRESHOLD_BALANCE",
"description": "{WEBHOOK_DESCRIPTION}",
"notification": {
"webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
},
"isInstant": false,
"condition": {
"address":
"0x3DC16F9F7fD2F5a17A9602650880255f01edC733",
"belowThresholdBalance": "100000000000000000"
}
}'
Response Example
{
"subscriptionId": "4975",
"sequenceNumber": "2",
"description": "{WEBHOOK_DESCRIPTION}",
"protocol": "ethereum",
"network": "mainnet",
"subscriptionType": "WEBHOOK",
"notification": {
"webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
},
"eventType": "BELOW_THRESHOLD_BALANCE",
"event": {
"message": {
"type": "belowThresholdBalance",
"address": "0x3DC16F9F7fD2F5a17A9602650880255f01edC733",
"threshold": "100000000000000000",
"balance": "2289407835113186"
}
},
"createdAt": "2024-12-27T08:00:34.227Z"
}